Bug 53471 - Removed old file formats from save as, Word 95/6.0 and Excel 95/6.0
Summary: Removed old file formats from save as, Word 95/6.0 and Excel 95/6.0
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Bryan Quigley
URL:
Whiteboard: target:4.0.0.0.beta0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-14 02:46 UTC by Bryan Quigley
Modified: 2012-12-13 15:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Removed old office formats (4.53 KB, patch)
2012-08-14 02:46 UTC, Bryan Quigley
Details
Removed save to old office formats (4.95 KB, patch)
2012-12-12 22:55 UTC, Bryan Quigley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Quigley 2012-08-14 02:46:18 UTC
Created attachment 65524 [details]
Removed old office formats

Discussion in list starts here: http://lists.freedesktop.org/archives/libreoffice/2011-February/007085.html

Rational:
The usability problem I've seen is that users:
 * want to save in MS Word format, but don't know what version to use
 * the pick 6.0 or 95 thinking many different things (lower number
means it will work with more computers?)
 * since this is there only copy of the file, they lose all tables and more

I couldn't figure out how to do anything but remove them from the save as dialog, patch is attached for that.
Comment 1 Rainer Bielefeld Retired 2012-08-14 04:20:05 UTC
My questions / opinions: 
a) Is this patch complete? May be we have to remove some additional file conversion code, not only the items in the filetype picker

b) I would prefer a solution to handle the "same as" of these filetypes like the obsolete Star / OOo import filters: Allow to install Filesave support for these obsolete document types for users in 3.7, Remove filesave support completely in 4.0.
Comment 2 Bryan Quigley 2012-08-15 04:21:47 UTC
a) 
There is likely more code that could be removed. This accomplishes the goal without removing filters from the code base.

b)
The obsolete format package doesn't actually restore Save as support (at least in 3.6 debs and wine).  Is it supposed to?  I think it might just allow open support.  

My patch leaves the filters fully intact for the old Word documents.
Comment 3 Joel Madero 2012-12-05 19:23:45 UTC
Can we mark this as NEW as the discussion has already happened? Also Bryan can you assign yourself as the developer working on this?
Comment 4 Rainer Bielefeld Retired 2012-12-05 21:20:18 UTC
@Joel:
Yes!
Comment 5 Michael Stahl (CIB) 2012-12-11 16:44:56 UTC
the idea seens very sensible to me.

i wonder though what would happen if a user opens a old WW6 file
and tries to save it, how to get that to pick WW8 filter automatically?

Bryan, could you please send a mail with a text like 
http://permalink.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/38402
to the mailing list libreoffice@lists.freedesktop.org ?

also best to send the patch either to mailing list or to
gerrit (http://wiki.documentfoundation.org/Development/gerrit) because
developers look there far more often than at bugzilla for patches.
Comment 6 Bryan Quigley 2012-12-12 22:55:12 UTC
Created attachment 71414 [details]
Removed save to old office formats

Files changed a bit, but it is still the same simple patch.
Comment 7 Not Assigned 2012-12-13 15:45:28 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=279ed1d1ea3e692072b19a510f0cba3d892ca046&g=libreoffice-4-0

Resolves: fdo#53471 Remove save to Office 6.0/95 formats


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.